image:
  file: support/docker/gitpod/Dockerfile
ports:
- port: 3000
  onOpen: open-preview
- port: 5432
  onOpen: ignore
- port: 6379
  onOpen: ignore
- port: 9000
  onOpen: ignore
tasks:
- name: Redis
  command: redis-server
- name: PeerTube
  before: export NODE_CONFIG="{\"import\":{\"videos\":{\"torrent\":{\"enabled\":false}}},\"webserver\":{\"hostname\":\"$(gp url 3000 | cut -d/ -f3)\",\"port\":\"443\",\"https\":true}}"
  init: >
    psql -h localhost -d postgres --file=support/docker/gitpod/setup_postgres.sql &&
    yarn install --pure-lockfile
  command: npm run build:server && npm run dev
